/*****************************************************************************************

Utilities.h - prototypes for utility routines for NTBDemo

Written by Bryan K. Ressler (Beaker), 8/30/91

updated for the wonderful universe of PowerPC by Pete Gontier (Gurgle), 3/31/97

*****************************************************************************************/

#ifndef __DIALOGS__
#	include <Dialogs.h>
#endif

/** DEFINES *****************************************************************************/
#define kSave		1			/* Save text parameters */
#define kRestore	0			/* Restore text parameters */

/** GLOBALS *****************************************************************************/
extern	short		gJustRadio;		/* Currently-set justification radio button */
extern	short		gFontRadio;		/* Currently-set font radio button */

/** PUBLIC PROTOTYPES *******************************************************************/
		short	JustToRadio		(short justification);
		short	RadioToJust		(void);
		short	RadioToFont		(void);
		void	SetValue		(DialogPtr theDialog,short itemNum,short value);
		void	GetItemRect		(DialogPtr theDialog,short itemNum,Rect *box);
		void	UserItem		(DialogPtr theDialog, short itemNum, UserItemProcPtr theProc);
		void	InvalItem		(DialogPtr theDialog,short itemNum,short hInset,short vInset);
pascal	void	BoxItem			(WindowPtr theWindow,short itemNum);
pascal	void	GrayBoxItem		(WindowPtr theWindow,short itemNum);
		void	TextParms		(short code);
